python2

Some distribution have or are planning to switch to python3 by default.
I think it would be a good idea to follow PEP 394 and use
#!/usr/bin/env python2

Scripts affected include:

app/install_erpnext.py:#!/usr/bin/env python
install_erpnext.py:#!/usr/bin/env python
lib/webnotes/utils/email_lib/html2text.py:#!/usr/bin/env python
lib/wnf.py:#!/usr/bin/env python



Note:

 

If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much information as you can. Please see it from the point of view of the person receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do not send images as attachments. Links are good. Same goes for any file you are going to send.

     

    End of Note



    You received this message because you are subscribed to the Google Groups “ERPNext Developer Forum” group.

    To unsubscribe from this group and stop receiving emails from it, send an email to erpnext-developer-forum+un...@googlegroups.com.

    For more options, visit https://groups.google.com/groups/opt_out.
Is python2 available on all platforms? We will have to chalk up a migration plan to Python3 soon as more distributions start making it default. Thanks for reminding.

On Monday, November 4, 2013 4:30:20 AM UTC+5:30, Jose Vasconcellos wrote:
Some distribution have or are planning to switch to python3 by default.
I think it would be a good idea to follow PEP 394 and use
#!/usr/bin/env python2

Scripts affected include:

app/install_erpnext.py:#!/usr/bin/env python
install_erpnext.py:#!/usr/bin/env python
lib/webnotes/utils/email_lib/html2text.py:#!/usr/bin/env python
lib/wnf.py:#!/usr/bin/env python



Note:

 

If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much information as you can. Please see it from the point of view of the person receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do not send images as attachments. Links are good. Same goes for any file you are going to send.

     

    End of Note



    You received this message because you are subscribed to the Google Groups “ERPNext Developer Forum” group.

    To unsubscribe from this group and stop receiving emails from it, send an email to erpnext-developer-forum+un...@googlegroups.com.

    For more options, visit https://groups.google.com/groups/opt_out.

Hi Jose,

On Mon, Nov 4, 2013 at 4:30 AM, Jose Vasconcellos jo...@metologica.com wrote:

Some distribution have or are planning to switch to python3 by default.
I think it would be a good idea to follow PEP 394 and use
#!/usr/bin/env python2

We’ve update wnf.py shebang to use python2.7 as it seems to be
available on major GNU/Linux distributions and MacOS X.

Scripts affected include:

app/install_erpnext.py:#!/usr/bin/env python
install_erpnext.py:#!/usr/bin/env python
lib/webnotes/utils/email_lib/html2text.py:#!/usr/bin/env python
lib/wnf.py:#!/usr/bin/env python


Note:

If you are posting an issue,

  1. We should be able to replicate it at our end. So please give us as much
    information as you can. Please see it from the point of view of the person
    receiving the communication.
  2. Paste your code at http://pastebin.com or http://gist.github.com and send
    only the URL via email
  3. For sending images, use http://imgur.com or other similar services. Do
    not send images as attachments. Links are good. Same goes for any file you
    are going to send.

End of Note

You received this message because you are subscribed to the Google Groups
“ERPNext Developer Forum” group.
To unsubscribe from this group and stop receiving emails from it, send an
email to erpnext-developer-forum+un...@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

Thanks,

Pratik
ERPNext